summaryrefslogtreecommitdiff
path: root/tsp
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2016-04-28 17:59:26 +0200
committerAleksander Mistewicz <a.mistewicz@samsung.com>2016-06-01 18:33:17 +0200
commitdd04b625b6c5b109b8d3f94f0fc60a845af1a89e (patch)
treeea36fd1e272abee1f4e75c9a9589c8576601ef62 /tsp
parentb3dc9e6b3d737a25bf378291fd44d6d1d4c12f45 (diff)
downloadmajor-dd04b625b6c5b109b8d3f94f0fc60a845af1a89e.tar.gz
major-dd04b625b6c5b109b8d3f94f0fc60a845af1a89e.tar.bz2
major-dd04b625b6c5b109b8d3f94f0fc60a845af1a89e.zip
Copy common.sh from tct directory to tsp
Change-Id: I7c5fd416fd985398b2eb66339bfbcad02a31d72c Signed-off-by: Aleksander Mistewicz <a.mistewicz@samsung.com>
Diffstat (limited to 'tsp')
-rwxr-xr-xtsp/common.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tsp/common.sh b/tsp/common.sh
new file mode 100755
index 0000000..cdb31a8
--- /dev/null
+++ b/tsp/common.sh
@@ -0,0 +1,28 @@
+# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This function takes up to two arguments:
+# 1. error message
+# 2. exit code (default: 1)
+#
+# Example: test -n "$VAR" || die "VAR is not set!" 5
+# If variable $VAR is not set, "VAR is not set!" will be printed on stderr
+# and script in which it was invoked will exit with exit code equal to 5.
+#
+# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
+
+die() {
+ printf >&2 -- '%s\n' "$1"
+ exit ${2:-1}
+}